<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [SkillRequirement](./bitburner.skillrequirement.md)

## SkillRequirement interface

Player must have each listed skill at least this level.

**Signature:**

```typescript
interface SkillRequirement 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [skills](./bitburner.skillrequirement.skills.md) |  | Partial&lt;[Skills](./bitburner.skills.md)<!-- -->&gt; |  |
|  [type](./bitburner.skillrequirement.type.md) |  | "skills" |  |

